@tailwind base;
@tailwind components;
@tailwind utilities;

/* Component CSS import */
@import url("./header.css");
@import url("./button.css");

/* Page CSS import */
@import url("./home.css");
@import url("./map.css");
@import url("./shop.css");
@import url("./project.css");

:root {
  --map-tiles-filter: brightness(0.6) invert(1) contrast(3) hue-rotate(200deg)
    saturate(0.3) brightness(0.7);
}

@media (prefers-color-scheme: dark) {
  .map-tiles {
    filter: var(--map-tiles-filter, none);
  }
}

main:not(.swagger) {
  height: 100vh;
  font-family: theme("fontFamily.sans");
}

body {
  width: 100vw;
  height: 100vh;
}

.zindex {
  z-index: 0 !important;
}

.opacityremover {
  opacity: 1 !important;
}

.zindexplus {
  z-index: 10000 !important;
}

.bgimp {
  background-color: white !important;
}

.buttonlaunch {
  width: 192px !important;
  height: 42px !important;
  background-color: #005e35 !important;
  border-radius: 8px !important;
  color: white !important;

  font-style: normal !important;
  font-weight: 700 !important;
  font-size: 14px !important;
  line-height: 17px !important;
}
.buttonlaunch:hover {
  background-color: #d9f0e5 !important;

  color: white !important;
}
.buttonlaunch2 {
  width: 192px !important;
  height: 42px !important;
  background-color: #eb6d56 !important;
  border-radius: 8px !important;
  color: white !important;

  font-style: normal !important;
  font-weight: 700 !important;
  font-size: 14px !important;
  line-height: 17px !important;
}
.buttonlaunch2:hover {
  background-color: #d9f0e5 !important;

  color: white !important;
}

.selectsoil {
  width: 232px !important;
  height: 36px !important;
}

.titlelabel {
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 140.69%;
  /* or 28px */

  color: #005e35;
}

.overflowforce {
  position: static;
  overflow: hidden;
}
